edu.ucsb.nceas.metacat.advancedsearch

## Class Stylizer

- java.lang.Object
- - edu.ucsb.nceas.metacat.advancedsearch.Stylizer

-     public class Stylizer
      extends java.lang.Object

  Author:
    dcosta Stylizer class applies the resultset.xsl stylesheet to the pathquery results returned by Metacat.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stylizer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `resultsetToHTML(java.lang.String resultset, java.lang.String sessionId, java.lang.String metacatURL, java.lang.String qformat, java.lang.String xslPath)` Applies the resultset.xsl stylesheet to the pathquery result string returned by Metacat.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stylizer

          public Stylizer()

  - ### Method Detail

    - #### resultsetToHTML

          public java.lang.String resultsetToHTML(java.lang.String resultset,
                                                  java.lang.String sessionId,
                                                  java.lang.String metacatURL,
                                                  java.lang.String qformat,
                                                  java.lang.String xslPath)

      Applies the resultset.xsl stylesheet to the pathquery result string returned by Metacat.
      Parameters:
        `resultset` - the pathquery result string from Metacat
        `sessionId` - the user's session id
        `metacatURL` - the URL to the Metacat server
        `qformat` - The qformat (skin) to use when displaying results.
        `xslPath` - File path to the resultset.xsl stylesheet.
      Returns:
        htmlString the result of the transformation from XML to HTML

Copyright © 2023 Regents of the University of California. All Rights Reserved.